Get a Browser Context Profile
curl --request GET \
--url https://agent.tinyfish.ai/v1/profiles/{profileId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://agent.tinyfish.ai/v1/profiles/{profileId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://agent.tinyfish.ai/v1/profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "prof_abc123def4567890",
"name": "Work Gmail",
"created_at": "2026-06-10T12:00:00Z",
"domains": [
{
"domain": "example.com",
"cookie_count": 12,
"local_storage_origin_count": 1,
"last_accessed_at": "2026-06-10T12:00:00Z",
"last_written_at": "2026-06-10T12:00:00Z",
"last_written_by_run_id": "run_abc123"
}
],
"proxy_country_code": "US",
"is_default": true,
"fingerprint_seed": "fp_abc123def456",
"domain_count": 3,
"updated_at": "2026-06-10T12:00:00Z"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}Browser Context Profiles
Get a Browser Context Profile
Get a Browser Context Profile
GET
/
v1
/
profiles
/
{profileId}
Get a Browser Context Profile
Authorizations
API key for authentication. Get your key from the API Keys page.
Path Parameters
Browser Context Profile ID
Minimum string length:
1Example:
"prof_abc123def4567890"
Response
Get a Browser Context Profile succeeded.
Browser Context Profile ID
Minimum string length:
1Example:
"prof_abc123def4567890"
Browser Context Profile display name
Example:
"Work Gmail"
Example:
"2026-06-10T12:00:00Z"
Show child attributes
Show child attributes
Available options:
US, GB, CA, AU, DE, FR, IT, ES, NL, JP, SG, BR, IN, null Example:
"US"
Example:
true
Example:
"fp_abc123def456"
Required range:
x >= 0Example:
3
Example:
"2026-06-10T12:00:00Z"
Was this page helpful?
⌘I